From 1ed2d72931bc71dc6405b7d75d38ec55222a5807 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Sat, 1 Aug 2026 05:24:26 +0000
Subject: [PATCH] cmake,cmake-native: upgrade 4.4.1 -> 4.4.2,4.4.1 -> 4.4.2

Source: Help/release/4.4.rst

CMake 4.4 Release Notes
***********************

.. only:: html

  .. contents::

Changes made since CMake 4.3 include the following.

New Features
============

Diagnostics
-----------

* CMake diagnostic actions are now tracked in a new state type managed by the
  :command:`cmake_diagnostic` command.  This replaces the old system which
  sometimes used variables to manage reporting actions and sometimes did not
  allow management beyond command-line options and presets.  The new system
  also introduces several new diagnostic categories and significantly reduces
  the cost of adding additional categories in the future.  See the
  :manual:`cmake-diagnostics(7)` manual for a list of available categories.

* The :diagnostic:`CMD_INSTALL_ABSOLUTE_DESTINATION` diagnostic category
  was added to diagnose :command:`install` commands that specify an
  absolute ``DESTINATION``.  This diagnostic may be controlled with the
  :option:`-Winstall-absolute-destination <cmake -W>` command-line option,
  the ``installAbsoluteDestination`` field in a
  :manual:`CMake Presets <cmake-presets(7)>`
  :preset:`configurePresets.warnings` object,
  or the :command:`cmake_diagnostic` command.

Presets
-------

* :manual:`cmake-presets(7)` files now support schema version 12.

* :manual:`cmake(1)`, :manual:`ctest(1)`, and :manual:`cpack(1)` gained
  ``--presets-file`` arguments to support loading
  :manual:`presets <cmake-presets(7)>` from the specified file instead of
  ``CMakePresets.json`` and/or ``CMakeUserPresets.json``. See
  :option:`cmake --presets-file`,
  :option:`cmake --build --presets-file <cmake--build --presets-file>`,
  :option:`cmake --workflow --presets-file <cmake--workflow --presets-file>`,
  :option:`ctest --presets-file`, and :option:`cpack --presets-file` for details.

* :manual:`cmake-presets(7)`, in schema version 12 and above, now expand the
  :ref:`${fileDir} <CMakePresets fileDir>` macro to the directory of the
  presets file containing the ``${fileDir}`` macro, regardless of whether
  it is inherited by another preset in a different directory.

* :manual:`cmake-presets(7)` gained support for a
  ``testPassthroughArguments`` field in the
  test preset ``execution`` object for
  forwarding arguments to test executables via presets.

File-Based API
--------------

* The :manual:`cmake-file-api(7)` "codemodel" version 2 object has been
  updated to 2.11.

* The :manual:`cmake-file-api(7)` "codemodel" version 2 "target" object's
  "sources" and "interfaceSources" objects gained new ``fileSetIndexes`` fields
  to support sources belonging to multiple file sets. The ``fileSetIndex``
  fields are maintained for backwards compatibility only, and users are advised
  to port to the new fields.

* The :manual:`cmake-file-api(7)` "codemodel" version 2 "target" object's
  "sources" object gained a new ``backtraces`` field to represent multiple
  command invocations which associate a single source for a given target with
  mult

[Changelog truncated as it exceeds 3000 characters;
the full changelog can be found in an attachment to the AUH email]

Source: Help/release/4.4.rst

CMake 4.4 Release Notes
***********************

.. only:: html

  .. contents::

Changes made since CMake 4.3 include the following.

New Features
============

Diagnostics
-----------

* CMake diagnostic actions are now tracked in a new state type managed by the
  :command:`cmake_diagnostic` command.  This replaces the old system which
  sometimes used variables to manage reporting actions and sometimes did not
  allow management beyond command-line options and presets.  The new system
  also introduces several new diagnostic categories and significantly reduces
  the cost of adding additional categories in the future.  See the
  :manual:`cmake-diagnostics(7)` manual for a list of available categories.

* The :diagnostic:`CMD_INSTALL_ABSOLUTE_DESTINATION` diagnostic category
  was added to diagnose :command:`install` commands that specify an
  absolute ``DESTINATION``.  This diagnostic may be controlled with the
  :option:`-Winstall-absolute-destination <cmake -W>` command-line option,
  the ``installAbsoluteDestination`` field in a
  :manual:`CMake Presets <cmake-presets(7)>`
  :preset:`configurePresets.warnings` object,
  or the :command:`cmake_diagnostic` command.

Presets
-------

* :manual:`cmake-presets(7)` files now support schema version 12.

* :manual:`cmake(1)`, :manual:`ctest(1)`, and :manual:`cpack(1)` gained
  ``--presets-file`` arguments to support loading
  :manual:`presets <cmake-presets(7)>` from the specified file instead of
  ``CMakePresets.json`` and/or ``CMakeUserPresets.json``. See
  :option:`cmake --presets-file`,
  :option:`cmake --build --presets-file <cmake--build --presets-file>`,
  :option:`cmake --workflow --presets-file <cmake--workflow --presets-file>`,
  :option:`ctest --presets-file`, and :option:`cpack --presets-file` for details.

* :manual:`cmake-presets(7)`, in schema version 12 and above, now expand the
  :ref:`${fileDir} <CMakePresets fileDir>` macro to the directory of the
  presets file containing the ``${fileDir}`` macro, regardless of whether
  it is inherited by another preset in a different directory.

* :manual:`cmake-presets(7)` gained support for a
  ``testPassthroughArguments`` field in the
  test preset ``execution`` object for
  forwarding arguments to test executables via presets.

File-Based API
--------------

* The :manual:`cmake-file-api(7)` "codemodel" version 2 object has been
  updated to 2.11.

* The :manual:`cmake-file-api(7)` "codemodel" version 2 "target" object's
  "sources" and "interfaceSources" objects gained new ``fileSetIndexes`` fields
  to support sources belonging to multiple file sets. The ``fileSetIndex``
  fields are maintained for backwards compatibility only, and users are advised
  to port to the new fields.

* The :manual:`cmake-file-api(7)` "codemodel" version 2 "target" object's
  "sources" object gained a new ``backtraces`` field to represent multiple
  command invocations which associate a single source for a given target with
  mult

[Changelog truncated as it exceeds 3000 characters;
the full changelog can be found in an attachment to the AUH email]
---
 .../cmake/{cmake-native_4.4.1.bb => cmake-native_4.4.2.bb}      | 0
 meta/recipes-devtools/cmake/cmake.inc                           | 2 +-
 meta/recipes-devtools/cmake/{cmake_4.4.1.bb => cmake_4.4.2.bb}  | 0
 3 files changed, 1 insertion(+), 1 deletion(-)
 rename meta/recipes-devtools/cmake/{cmake-native_4.4.1.bb => cmake-native_4.4.2.bb} (100%)
 rename meta/recipes-devtools/cmake/{cmake_4.4.1.bb => cmake_4.4.2.bb} (100%)

diff --git a/meta/recipes-devtools/cmake/cmake-native_4.4.1.bb b/meta/recipes-devtools/cmake/cmake-native_4.4.2.bb
similarity index 100%
rename from meta/recipes-devtools/cmake/cmake-native_4.4.1.bb
rename to meta/recipes-devtools/cmake/cmake-native_4.4.2.bb
diff --git a/meta/recipes-devtools/cmake/cmake.inc b/meta/recipes-devtools/cmake/cmake.inc
index 45172da729..a51b25b864 100644
--- a/meta/recipes-devtools/cmake/cmake.inc
+++ b/meta/recipes-devtools/cmake/cmake.inc
@@ -19,7 +19,7 @@ CMAKE_MAJOR_VERSION = "${@'.'.join(d.getVar('PV').split('.')[0:2])}"
 SRC_URI = "https://cmake.org/files/v${CMAKE_MAJOR_VERSION}/cmake-${PV}.tar.gz \
            "
 
-SRC_URI[sha256sum] = "95d4721f3625fb0d9d6ca480dd59a46c84b4c157f7fadd2e9b179ef9c871174d"
+SRC_URI[sha256sum] = "1db9e61e60b6e0874c86386340b910382f3c5e75b9fbfb44d122063129a2789d"
 
 UPSTREAM_CHECK_REGEX = "cmake-(?P<pver>\d+(\.\d+)+)\.tar"
 
diff --git a/meta/recipes-devtools/cmake/cmake_4.4.1.bb b/meta/recipes-devtools/cmake/cmake_4.4.2.bb
similarity index 100%
rename from meta/recipes-devtools/cmake/cmake_4.4.1.bb
rename to meta/recipes-devtools/cmake/cmake_4.4.2.bb
-- 
2.47.1

